mia-2dimagecreator(1)

NAME
mia-2dimagecreator - Create a synthetic 2D image.

SYNOPSIS
mia-2dimagecreator -o <out-file> -j <object> [options]

DESCRIPTION
mia-2dimagecreator This program is used to create test images.

OPTIONS

    -o --out-file=(output, required); io
        output file for create object
         For supported file types see PLUGINS:2dimage/io

    -s --size=[128,128]
        size of the object

    -r --repn=ubyte
        input pixel type

        bit - binary data
        sbyte - signed 8 bit
        ubyte - unsigned 8 bit
        sshort - signed 16 bit
        ushort - unsigned 16 bit
        sint - signed 32 bit
        uint - unsigned 32 bit
        slong - signed 64 bit
        ulong - unsigned 64 bit
        float - floating point 32 bit
        double - floating point 64 bit
        none - no pixel type defined

    -j --object=(required); factory
        object to be created
         For supported plugins see PLUGINS:2dimage/creator

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 2dimage/creator

circle
    2D circle creation program, supported parameters are:

    f = 1; float in [0, 10]
        spherical change frequency.

    p = 2; float in [0.1, 100]
        spherical shape parameter (2.0 = circle).

PLUGINS: 2dimage/io

bmp BMP 2D-image input/output support. The plug-in supports reading and writing of binary images and 8-bit gray scale images. read-only support is provided for 4-bit gray scale images. The color table is ignored and the pixel values are taken as literal gray scale values.

    Recognized file extensions: .BMP, .bmp

    Supported element types:
        binary data, unsigned 8 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    2D image io for DICOM

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

exr a 2dimage io plugin for OpenEXR images

    Recognized file extensions: .EXR, .exr

    Supported element types:
        unsigned 32 bit, floating point 32 bit

jpg a 2dimage io plugin for jpeg gray scale images

    Recognized file extensions: .JPEG, .JPG, .jpeg, .jpg

    Supported element types:
        unsigned 8 bit

png a 2dimage io plugin for png images

    Recognized file extensions: .PNG, .png

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit

raw RAW 2D-image output support

    Recognized file extensions: .RAW, .raw

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

tif TIFF 2D-image input/output support

    Recognized file extensions: .TIF, .TIFF, .tif, .tiff

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit, unsigned 32 bit

vista
    a 2dimage io plugin for vista images

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

EXAMPLE
Create a 2D image containing a lattic with standard parameters of size <64,128> and pixel type 'float' and save the result to lattic.v

mia-2dimagecreator -o lattic.v -s '<64,128>' -r float -j lattic

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.